Functions
Configuration functions
Peripheral Driver » LL Driver » DUAL_TIMER » Functions

## Functions
__STATIC_INLINE void | ll_dual_timer_enable_counter (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer counter. More...
__STATIC_INLINE void | ll_dual_timer_disable_counter (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer counter. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_counter (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer counter is enabled. More...
__STATIC_INLINE void | ll_dual_timer_set_counter_mode (dual_timer_regs_t *DUAL_TIMERx, uint32_t counter_mode)
| Set the counter mode. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_counter_mode (dual_timer_regs_t *DUAL_TIMERx)
| Get the counter mode. More...
__STATIC_INLINE void | ll_dual_timer_set_prescaler (dual_timer_regs_t *DUAL_TIMERx, uint32_t prescaler)
| Set the prescaler. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_prescaler (dual_timer_regs_t *DUAL_TIMERx)
| Get the prescaler. More...
__STATIC_INLINE void | ll_dual_timer_set_counter_size (dual_timer_regs_t *DUAL_TIMERx, uint32_t counter_size)
| Set the counter size. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_counter_size (dual_timer_regs_t *DUAL_TIMERx)
| Get the counter size. More...
__STATIC_INLINE void | ll_dual_timer_enable_oneshot (dual_timer_regs_t *DUAL_TIMERx)
| Enable one-shot mode. More...
__STATIC_INLINE void | ll_dual_timer_disable_oneshot (dual_timer_regs_t *DUAL_TIMERx)
| Disable one-shot mode. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_oneshot (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the one-shot mode is enabled. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_counter (dual_timer_regs_t *DUAL_TIMERx)
| Get the counter value. More...
__STATIC_INLINE void | ll_dual_timer_set_auto_reload (dual_timer_regs_t *DUAL_TIMERx, uint32_t auto_reload)
| Set the auto-reload value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_auto_reload (dual_timer_regs_t *DUAL_TIMERx)
| Get the auto-reload value. More...
__STATIC_INLINE void | ll_dual_timer_set_background_reload (dual_timer_regs_t *DUAL_TIMERx, uint32_t background_reload)
| Set the backgroud-reload value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_background_reload (dual_timer_regs_t *DUAL_TIMERx)
| Get the backgroud-reload value. More...
__STATIC_INLINE void | ll_dual_timer_enable_ioa_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer IOA ctrl. More...
__STATIC_INLINE void | ll_dual_timer_disable_ioa_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer IOA ctrl. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ioa_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer IOA ctrl is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_iob_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer IOB ctrl. More...
__STATIC_INLINE void | ll_dual_timer_disable_iob_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer IOB ctrl. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_iob_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer IOB ctrl is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ioc_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer IOC ctrl. More...
__STATIC_INLINE void | ll_dual_timer_disable_ioc_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer IOC ctrl. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ioc_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer IOC ctrl is enabled. More...
__STATIC_INLINE void | ll_dual_timer_enable_ble_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer BLE ctrl. More...
__STATIC_INLINE void | ll_dual_timer_disable_ble_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer BLE ctrl. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_ble_ctrl (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer BLE ctrl is enabled. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the ioa count 1 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get the ioa count 1 value. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the ioa count 2 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get the ioa count 2 value. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the iob count 1 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get the iob count 1 value. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the iob count 2 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get the iob count 2 value. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the ioc count 1 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get the ioc count 1 value. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the ioc count 2 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get the ioc count 2 value. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_action_start (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioa action when timer start. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_action_start (dual_timer_regs_t *DUAL_TIMERx)
| Get ioa action when timer start. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_action_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioa action when value meets to COUNT_A1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_action_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get ioa action when value meets to COUNT_A1IO. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_action_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioa action when value meets to COUNT_A2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_action_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get ioa action when value meets to COUNT_A2IO. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_action_period (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioa action when value downs to 0. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_action_period (dual_timer_regs_t *DUAL_TIMERx)
| Get ioa action when value downs to 0. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_action_stop (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioa action when timer stop. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_action_stop (dual_timer_regs_t *DUAL_TIMERx)
| Get ioa action when timer stop. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_action_start (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set iob action when timer start. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_action_start (dual_timer_regs_t *DUAL_TIMERx)
| Get iob action when timer start. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_action_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set iob action when value meets to COUNT_B1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_action_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get iob action when value meets to COUNT_B1IO. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_action_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set iob action when value meets to COUNT_B2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_action_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get iob action when value meets to COUNT_B2IO. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_action_period (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set iob action when value downs to 0. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_action_period (dual_timer_regs_t *DUAL_TIMERx)
| Get iob action when value downs to 0. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_action_stop (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set iob action when timer stop. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_action_stop (dual_timer_regs_t *DUAL_TIMERx)
| Get iob action when timer stop. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_action_start (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioc action when timer start. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_action_start (dual_timer_regs_t *DUAL_TIMERx)
| Get ioc action when timer start. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_action_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioc action when value meets to COUNT_C1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_action_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get ioc action when value meets to COUNT_C1IO. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_action_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioc action when value meets to COUNT_C2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_action_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get ioc action when value meets to COUNT_C2IO. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_action_period (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioc action when value downs to 0. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_action_period (dual_timer_regs_t *DUAL_TIMERx)
| Get ioc action when value downs to 0. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_action_stop (dual_timer_regs_t *DUAL_TIMERx, uint32_t action)
| Set ioc action when timer stop. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_action_stop (dual_timer_regs_t *DUAL_TIMERx)
| Get ioc action when timer stop. More...
__STATIC_INLINE void | ll_dual_timer_set_ioa_action_init (dual_timer_regs_t *DUAL_TIMERx, uint32_t value)
| Set ioa initial vaule when DUAL_TIMER_CTRL_IOA is disable. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioa_action_init (dual_timer_regs_t *DUAL_TIMERx)
| Get ioa initial vaule. More...
__STATIC_INLINE void | ll_dual_timer_set_iob_action_init (dual_timer_regs_t *DUAL_TIMERx, uint32_t value)
| Set iob initial vaule when DUAL_TIMER_CTRL_IOB is disable. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_iob_action_init (dual_timer_regs_t *DUAL_TIMERx)
| Get iob initial vaule. More...
__STATIC_INLINE void | ll_dual_timer_set_ioc_action_init (dual_timer_regs_t *DUAL_TIMERx, uint32_t value)
| Set ioc initial vaule when DUAL_TIMER_CTRL_IOC is disable. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ioc_action_init (dual_timer_regs_t *DUAL_TIMERx)
| Get ioc initial vaule. More...
__STATIC_INLINE void | ll_dual_timer_set_onetime_reload (dual_timer_regs_t *DUAL_TIMERx, uint32_t onetime_reload)
| Set the one-time reload value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_onetime_reload (dual_timer_regs_t *DUAL_TIMERx)
| Get the one-time reload value. More...
__STATIC_INLINE void | ll_dual_timer_set_ble_count1 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the BLE count 1 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ble_count1 (dual_timer_regs_t *DUAL_TIMERx)
| Get the BLE count 1 value. More...
__STATIC_INLINE void | ll_dual_timer_set_ble_count2 (dual_timer_regs_t *DUAL_TIMERx, uint32_t count_value)
| Set the BLE count 2 value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ble_count2 (dual_timer_regs_t *DUAL_TIMERx)
| Get the BLE count 2 value. More...
__STATIC_INLINE void | ll_dual_timer_set_ble_pulse_width (dual_timer_regs_t *DUAL_TIMERx, uint32_t width)
| Set the BLE pulse width. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_ble_pulse_width (dual_timer_regs_t *DUAL_TIMERx)
| Get the BLE pulse width. More...
__STATIC_INLINE void | ll_dual_timer_set_period_count (dual_timer_regs_t *DUAL_TIMERx, uint32_t count)
| Set the period count in period mode. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_period_count (dual_timer_regs_t *DUAL_TIMERx)
| Get the period count in period mode. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_disable_ble_ctrl()

__STATIC_INLINE void ll_dual_timer_disable_ble_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer BLE ctrl.

Register|BitsName --------|-------- CTRL | BLE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 665 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_counter()

__STATIC_INLINE void ll_dual_timer_disable_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer counter.

Register|BitsName --------|-------- CTRL | EN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 255 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ioa_ctrl()

__STATIC_INLINE void ll_dual_timer_disable_ioa_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer IOA ctrl.

Register|BitsName --------|-------- CTRL | IOA

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 530 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_iob_ctrl()

__STATIC_INLINE void ll_dual_timer_disable_iob_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer IOB ctrl.

Register|BitsName --------|-------- CTRL | IOB

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 575 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_ioc_ctrl()

__STATIC_INLINE void ll_dual_timer_disable_ioc_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer IOC ctrl.

Register|BitsName --------|-------- CTRL | IOC

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 620 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_oneshot()

__STATIC_INLINE void ll_dual_timer_disable_oneshot | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable one-shot mode.

Register|BitsName --------|-------- CTRL | ONESHOT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 407 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ble_ctrl()

__STATIC_INLINE void ll_dual_timer_enable_ble_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer BLE ctrl.

Register|BitsName --------|-------- CTRL | BLE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 650 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_counter()

__STATIC_INLINE void ll_dual_timer_enable_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer counter.

Register|BitsName --------|-------- CTRL | EN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 240 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ioa_ctrl()

__STATIC_INLINE void ll_dual_timer_enable_ioa_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer IOA ctrl.

Register|BitsName --------|-------- CTRL | IOA

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 515 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_iob_ctrl()

__STATIC_INLINE void ll_dual_timer_enable_iob_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer IOB ctrl.

Register|BitsName --------|-------- CTRL | IOB

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 560 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_ioc_ctrl()

__STATIC_INLINE void ll_dual_timer_enable_ioc_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer IOC ctrl.

Register|BitsName --------|-------- CTRL | IOC

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 605 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_oneshot()

__STATIC_INLINE void ll_dual_timer_enable_oneshot | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable one-shot mode.

Register|BitsName --------|-------- CTRL | ONESHOT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 392 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_auto_reload()

__STATIC_INLINE uint32_t ll_dual_timer_get_auto_reload | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the auto-reload value.

Register|BitsName --------|-------- RELOAD | RELOAD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Auto-reload | value

Definition at line 469 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_background_reload()

__STATIC_INLINE uint32_t ll_dual_timer_get_background_reload | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the backgroud-reload value.

Register|BitsName --------|-------- BG_LOAD | BG_LOAD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 500 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ble_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_ble_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the BLE count 1 value.

Register|BitsName --------|-------- BLE_COUNT1 | BLE_COUNT1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1618 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ble_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_ble_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the BLE count 2 value.

Register|BitsName --------|-------- BLE_COUNT2 | BLE_COUNT2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1649 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ble_pulse_width()

__STATIC_INLINE uint32_t ll_dual_timer_get_ble_pulse_width | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the BLE pulse width.

Register|BitsName --------|-------- BLE_PULSEWIDTH | BLE_PULSEWIDTH

Parameters

  DUAL_TIMERx | Timer instance

Return values

  BLE | pulse width

Definition at line 1680 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_counter()

__STATIC_INLINE uint32_t ll_dual_timer_get_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the counter value.

Register|BitsName --------|-------- VALUE | VALUE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Counter | value (between Min_Data=0 and Max_Data=0xFFFFFFFF)

Definition at line 437 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_counter_mode()

__STATIC_INLINE uint32_t ll_dual_timer_get_counter_mode | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the counter mode.

Register|BitsName --------|-------- CTRL | MODE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_FREERUNNING_MODE LL_DUAL_TIMER_PERIODIC_MODE

Definition at line 305 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_counter_size()

__STATIC_INLINE uint32_t ll_dual_timer_get_counter_size | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the counter size.

Register|BitsName --------|-------- CTRL | SIZE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_COUNTERSIZE_16 LL_DUAL_TIMER_COUNTERSIZE_32

Definition at line 377 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_action_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_action_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioa action when value meets to COUNT_A1IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_C1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 944 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_action_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_action_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioa action when value meets to COUNT_A2IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_C2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 983 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_action_init()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_action_init | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioa initial vaule.

Register|BitsName --------|-------- IO_INIT_SET | IOA_ACT_INIT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_INIT_RESET LL_DUAL_TIMER_IO_INIT_SET

Definition at line 1486 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_action_period()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_action_period | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioa action when value downs to 0.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_PERIOD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1022 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_action_start()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_action_start | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioa action when timer start.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_START

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 905 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_action_stop()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_action_stop | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioa action when timer stop.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_STOP

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1061 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the ioa count 1 value.

Register|BitsName --------|-------- COUNT_A1IO | COUNT_A1IO

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 711 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioa_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioa_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the ioa count 2 value.

Register|BitsName --------|-------- COUNT_A2IO | COUNT_A2IO

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 742 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_action_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_action_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get iob action when value meets to COUNT_B1IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_C1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1139 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_action_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_action_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get iob action when value meets to COUNT_B2IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_C2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1178 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_action_init()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_action_init | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get iob initial vaule.

Register|BitsName --------|-------- IO_INIT_SET | IOB_ACT_INIT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_INIT_RESET LL_DUAL_TIMER_IO_INIT_SET

Definition at line 1521 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_action_period()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_action_period | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get iob action when value downs to 0.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_PERIOD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1217 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_action_start()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_action_start | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get iob action when timer start.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_START

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1100 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_action_stop()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_action_stop | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get iob action when timer stop.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_STOP

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1256 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the iob count 1 value.

Register|BitsName --------|-------- COUNT_B1IO | COUNT_B1IO

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 773 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_iob_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_iob_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the iob count 2 value.

Register|BitsName --------|-------- COUNT_B2IO | COUNT_B2IO

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 804 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_action_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_action_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioc action when value meets to COUNT_C1IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_C1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1334 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_action_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_action_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioc action when value meets to COUNT_C2IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_C2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1373 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_action_init()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_action_init | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioc initial vaule.

Register|BitsName --------|-------- IO_INIT_SET | IOC_ACT_INIT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_INIT_RESET LL_DUAL_TIMER_IO_INIT_SET

Definition at line 1556 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_action_period()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_action_period | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioc action when value downs to 0.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_PERIOD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1412 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_action_start()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_action_start | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioc action when timer start.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_START

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1295 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_action_stop()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_action_stop | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get ioc action when timer stop.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_STOP

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Definition at line 1451 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_count1()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the ioc count 1 value.

Register|BitsName --------|-------- COUNT_C1IO | COUNT_C1IO

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 835 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_ioc_count2()

__STATIC_INLINE uint32_t ll_dual_timer_get_ioc_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the ioc count 2 value.

Register|BitsName --------|-------- COUNT_C2IO | COUNT_C2IO

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 866 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_onetime_reload()

__STATIC_INLINE uint32_t ll_dual_timer_get_onetime_reload | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the one-time reload value.

Register|BitsName --------|-------- TP_LOAD | TP_LOAD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1587 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_period_count()

__STATIC_INLINE uint32_t ll_dual_timer_get_period_count | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the period count in period mode.

Register|BitsName --------|-------- PERIOD_COUNT | PERIOD_COUNT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=2 and Max_Data=0xFFFF

Definition at line 1711 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_prescaler()

__STATIC_INLINE uint32_t ll_dual_timer_get_prescaler | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the prescaler.

Register|BitsName --------|-------- CTRL | PRE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_PRESCALER_DIV0 LL_DUAL_TIMER_PRESCALER_DIV16 LL_DUAL_TIMER_PRESCALER_DIV256

Definition at line 342 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ble_ctrl()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ble_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer BLE ctrl is enabled.

Register|BitsName --------|-------- CTRL | BLE

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 680 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_counter()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer counter is enabled.

Register|BitsName --------|-------- CTRL | EN

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 270 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ioa_ctrl()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ioa_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer IOA ctrl is enabled.

Register|BitsName --------|-------- CTRL | IOA

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 545 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_iob_ctrl()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_iob_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer IOB ctrl is enabled.

Register|BitsName --------|-------- CTRL | IOB

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 590 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_ioc_ctrl()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_ioc_ctrl | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer IOC ctrl is enabled.

Register|BitsName --------|-------- CTRL | IOC

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 635 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_oneshot()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_oneshot | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the one-shot mode is enabled.

Register|BitsName --------|-------- CTRL | ONESHOT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 422 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_auto_reload()

__STATIC_INLINE void ll_dual_timer_set_auto_reload | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | auto_reload
| ) |  |

Set the auto-reload value.

Note
  The counter is blocked while the auto-reload value is null.

Register|BitsName --------|-------- RELOAD | RELOAD

Parameters

  DUAL_TIMERx | Timer instance
  auto_reload | between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 454 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_background_reload()

__STATIC_INLINE void ll_dual_timer_set_background_reload | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | background_reload
| ) |  |

Set the backgroud-reload value.

Register|BitsName --------|-------- BG_LOAD | BG_LOAD

Parameters

  DUAL_TIMERx | Timer instance
  background_reload | between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 485 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ble_count1()

__STATIC_INLINE void ll_dual_timer_set_ble_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the BLE count 1 value.

Register|BitsName --------|-------- BLE_COUNT1 | BLE_COUNT1

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 1 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1603 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ble_count2()

__STATIC_INLINE void ll_dual_timer_set_ble_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the BLE count 2 value.

Register|BitsName --------|-------- BLE_COUNT2 | BLE_COUNT2

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 2 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1634 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ble_pulse_width()

__STATIC_INLINE void ll_dual_timer_set_ble_pulse_width | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | width
| ) |  |

Set the BLE pulse width.

Register|BitsName --------|-------- BLE_PULSEWIDTH | BLE_PULSEWIDTH

Parameters

  DUAL_TIMERx | Timer instance
  width | pulse width

Return values

  None |

Definition at line 1665 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_counter_mode()

__STATIC_INLINE void ll_dual_timer_set_counter_mode | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | counter_mode
| ) |  |

Set the counter mode.

Register|BitsName --------|-------- CTRL | MODE

Parameters

  DUAL_TIMERx | Timer instance
  counter_mode | This parameter can be one of the following values: LL_DUAL_TIMER_FREERUNNING_MODE LL_DUAL_TIMER_PERIODIC_MODE

Return values

  None |

Definition at line 288 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_counter_size()

__STATIC_INLINE void ll_dual_timer_set_counter_size | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | counter_size
| ) |  |

Set the counter size.

Register|BitsName --------|-------- CTRL | SIZE

Parameters

  DUAL_TIMERx | Timer instance
  counter_size | This parameter can be one of the following values: LL_DUAL_TIMER_COUNTERSIZE_16 LL_DUAL_TIMER_COUNTERSIZE_32

Return values

  None |

Definition at line 360 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_action_count1()

__STATIC_INLINE void ll_dual_timer_set_ioa_action_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioa action when value meets to COUNT_A1IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_C1

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 925 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_action_count2()

__STATIC_INLINE void ll_dual_timer_set_ioa_action_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioa action when value meets to COUNT_A2IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_C2

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 964 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_action_init()

__STATIC_INLINE void ll_dual_timer_set_ioa_action_init | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | value
| ) |  |

Set ioa initial vaule when DUAL_TIMER_CTRL_IOA is disable.

Register|BitsName --------|-------- IO_INIT_SET | IOA_ACT_INIT

Parameters

  DUAL_TIMERx | Timer instance
  value | This parameter can be one of the following values: LL_DUAL_TIMER_IO_INIT_RESET LL_DUAL_TIMER_IO_INIT_SET

Return values

  None |

Definition at line 1469 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_action_period()

__STATIC_INLINE void ll_dual_timer_set_ioa_action_period | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioa action when value downs to 0.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_PERIOD

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1003 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_action_start()

__STATIC_INLINE void ll_dual_timer_set_ioa_action_start | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioa action when timer start.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_START

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 886 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_action_stop()

__STATIC_INLINE void ll_dual_timer_set_ioa_action_stop | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioa action when timer stop.

Register|BitsName --------|-------- IO_ACT_CTRL | IOA_ACT_CTRL_STOP

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1042 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_count1()

__STATIC_INLINE void ll_dual_timer_set_ioa_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the ioa count 1 value.

Register|BitsName --------|-------- COUNT_A1IO | COUNT_A1IO

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 1 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 696 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioa_count2()

__STATIC_INLINE void ll_dual_timer_set_ioa_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the ioa count 2 value.

Register|BitsName --------|-------- COUNT_A2IO | COUNT_A2IO

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 2 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 727 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_action_count1()

__STATIC_INLINE void ll_dual_timer_set_iob_action_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set iob action when value meets to COUNT_B1IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_C1

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1120 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_action_count2()

__STATIC_INLINE void ll_dual_timer_set_iob_action_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set iob action when value meets to COUNT_B2IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_C2

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1159 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_action_init()

__STATIC_INLINE void ll_dual_timer_set_iob_action_init | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | value
| ) |  |

Set iob initial vaule when DUAL_TIMER_CTRL_IOB is disable.

Register|BitsName --------|-------- IO_INIT_SET | IOB_ACT_INIT

Parameters

  DUAL_TIMERx | Timer instance
  value | This parameter can be one of the following values: LL_DUAL_TIMER_IO_INIT_RESET LL_DUAL_TIMER_IO_INIT_SET

Return values

  None |

Definition at line 1504 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_action_period()

__STATIC_INLINE void ll_dual_timer_set_iob_action_period | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set iob action when value downs to 0.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_PERIOD

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1198 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_action_start()

__STATIC_INLINE void ll_dual_timer_set_iob_action_start | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set iob action when timer start.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_START

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1081 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_action_stop()

__STATIC_INLINE void ll_dual_timer_set_iob_action_stop | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set iob action when timer stop.

Register|BitsName --------|-------- IO_ACT_CTRL | IOB_ACT_CTRL_STOP

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1237 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_count1()

__STATIC_INLINE void ll_dual_timer_set_iob_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the iob count 1 value.

Register|BitsName --------|-------- COUNT_B1IO | COUNT_B1IO

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 1 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 758 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_iob_count2()

__STATIC_INLINE void ll_dual_timer_set_iob_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the iob count 2 value.

Register|BitsName --------|-------- COUNT_B2IO | COUNT_B2IO

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 2 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 789 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_action_count1()

__STATIC_INLINE void ll_dual_timer_set_ioc_action_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioc action when value meets to COUNT_C1IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_C1

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1315 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_action_count2()

__STATIC_INLINE void ll_dual_timer_set_ioc_action_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioc action when value meets to COUNT_C2IO.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_C2

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1354 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_action_init()

__STATIC_INLINE void ll_dual_timer_set_ioc_action_init | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | value
| ) |  |

Set ioc initial vaule when DUAL_TIMER_CTRL_IOC is disable.

Register|BitsName --------|-------- IO_INIT_SET | IOC_ACT_INIT

Parameters

  DUAL_TIMERx | Timer instance
  value | This parameter can be one of the following values: LL_DUAL_TIMER_IO_INIT_RESET LL_DUAL_TIMER_IO_INIT_SET

Return values

  None |

Definition at line 1539 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_action_period()

__STATIC_INLINE void ll_dual_timer_set_ioc_action_period | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioc action when value downs to 0.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_PERIOD

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1393 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_action_start()

__STATIC_INLINE void ll_dual_timer_set_ioc_action_start | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioc action when timer start.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_START

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1276 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_action_stop()

__STATIC_INLINE void ll_dual_timer_set_ioc_action_stop | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | action
| ) |  |

Set ioc action when timer stop.

Register|BitsName --------|-------- IO_ACT_CTRL | IOC_ACT_CTRL_STOP

Parameters

  DUAL_TIMERx | Timer instance
  action | This parameter can be one of the following values: LL_DUAL_TIMER_IO_ACTION_NONE LL_DUAL_TIMER_IO_ACTION_SET LL_DUAL_TIMER_IO_ACTION_RESET LL_DUAL_TIMER_IO_ACTION_TOGGLE

Return values

  None |

Definition at line 1432 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_count1()

__STATIC_INLINE void ll_dual_timer_set_ioc_count1 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the ioc count 1 value.

Register|BitsName --------|-------- COUNT_C1IO | COUNT_C1IO

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 1 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 820 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_ioc_count2()

__STATIC_INLINE void ll_dual_timer_set_ioc_count2 | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count_value
| ) |  |

Set the ioc count 2 value.

Register|BitsName --------|-------- COUNT_C2IO | COUNT_C2IO

Parameters

  DUAL_TIMERx | Timer instance
  count_value | count 2 value between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 851 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_onetime_reload()

__STATIC_INLINE void ll_dual_timer_set_onetime_reload | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | onetime_reload
| ) |  |

Set the one-time reload value.

Register|BitsName --------|-------- TP_LOAD | TP_LOAD

Parameters

  DUAL_TIMERx | Timer instance
  onetime_reload | between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1572 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_period_count()

__STATIC_INLINE void ll_dual_timer_set_period_count | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | count
| ) |  |

Set the period count in period mode.

Register|BitsName --------|-------- PERIOD_COUNT | PERIOD_COUNT

Parameters

  DUAL_TIMERx | Timer instance
  count | between Min_Data=2 and Max_Data=0xFFFF

Return values

  None |

Definition at line 1696 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_set_prescaler()

__STATIC_INLINE void ll_dual_timer_set_prescaler | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | prescaler
| ) |  |

Set the prescaler.

Register|BitsName --------|-------- CTRL | PRE

Parameters

  DUAL_TIMERx | Timer instance
  prescaler | This parameter can be one of the following values: LL_DUAL_TIMER_PRESCALER_DIV0 LL_DUAL_TIMER_PRESCALER_DIV16 LL_DUAL_TIMER_PRESCALER_DIV256

Return values

  None |

Definition at line 324 of file gr533x_ll_dual_tim.h.